Bug 47795 - Add a test to nodesFromRect involving links and text nodes
Summary: Add a test to nodesFromRect involving links and text nodes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Antonio Gomes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-17 22:38 PDT by Antonio Gomes
Modified: 2010-10-19 14:16 PDT (History)
2 users (show)

See Also:


Attachments
(committed r70058, r=kenneth) patch v1 - Improves the test coverage for nodesFromRect. (5.38 KB, patch)
2010-10-18 21:40 PDT, Antonio Gomes
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Gomes 2010-10-17 22:38:12 PDT
...
Comment 1 Antonio Gomes 2010-10-18 21:40:35 PDT
Created attachment 71129 [details]
(committed r70058, r=kenneth) patch v1 - Improves the test coverage for nodesFromRect.

Similarly to bug 47766 (Enrich /fast/dom/nodesFromRect-basic.html test, this patch continues to improve the test coverage for Document::nodesFromRect. This time tests involving links and text nodes are being added this time. Basically it performs various rect hit tests involving the positions of the elements.
Comment 2 Antonio Gomes 2010-10-19 08:13:11 PDT
Comment on attachment 71129 [details]
(committed r70058, r=kenneth) patch v1 - Improves the test coverage for nodesFromRect.

Clearing flags on attachment: 71129

Committed r70058: <http://trac.webkit.org/changeset/70058>
Comment 3 Antonio Gomes 2010-10-19 13:50:41 PDT
Complementary fixes landed in:

http://trac.webkit.org/changeset/70078 (renamed xxx-expected.html to xxx-expected.txt)
http://trac.webkit.org/changeset/70080 (skipped the test on gtk, qt and windows).
Comment 4 Antonio Gomes 2010-10-19 14:16:04 PDT
... and http://trac.webkit.org/changeset/70086 (skipped the proper files on Qt, Win and Gtk's DRT).

(In reply to comment #3)
> Complementary fixes landed in:
> 
> http://trac.webkit.org/changeset/70078 (renamed xxx-expected.html to xxx-expected.txt)
> http://trac.webkit.org/changeset/70080 (skipped the test on gtk, qt and windows).